# Uses of Interface
org.bukkit.entity.Enderman

Packages that use Enderman
Package
Description
com.destroystokyo.paper.entity.ai
com.destroystokyo.paper.event.entity

## Uses of Enderman in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Enderman
Modifier and Type
Field
Description
`static final GoalKey<Enderman>`
VanillaGoal.`ENDERMAN_FREEZE_WHEN_LOOKED_AT`
`static final GoalKey<Enderman>`
VanillaGoal.`ENDERMAN_LEAVE_BLOCK`
`static final GoalKey<Enderman>`
VanillaGoal.`ENDERMAN_LOOK_FOR_PLAYER`
`static final GoalKey<Enderman>`
VanillaGoal.`ENDERMAN_PICKUP_BLOCK`
Deprecated.
`static final GoalKey<Enderman>`
VanillaGoal.`ENDERMAN_PLACE_BLOCK`
Deprecated.
`static final GoalKey<Enderman>`
VanillaGoal.`ENDERMAN_TAKE_BLOCK`
`static final GoalKey<Enderman>`
VanillaGoal.`PLAYER_WHO_LOOKED_AT_TARGET`
Deprecated.

## Uses of Enderman in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return Enderman
Modifier and Type
Method
Description
`@NotNull Enderman`
EndermanAttackPlayerEvent.`getEntity()`
The enderman considering attacking
`@NotNull Enderman`
EndermanEscapeEvent.`getEntity()`
Constructors in com.destroystokyo.paper.event.entity with parameters of type Enderman
Modifier
Constructor
Description
``
`EndermanAttackPlayerEvent(@NotNull Enderman entity, @NotNull Player player)`
``
`EndermanEscapeEvent(@NotNull Enderman entity, @NotNull EndermanEscapeEvent.Reason reason)`